post
/{tenantId}/v1/credit-reports/{creditReportId}/otp-challengeSubmit OTP challenge
Requires Authentication
Credit Reports
Submits an OTP code to verify identity
Path Parameters
| Name | Type | Description |
|---|---|---|
tenantIdrequired | string (uuid) | Tenant UUID |
creditReportIdrequired | string (uuid) | Credit report UUID |
Request Body
required
challengeIdstring
required
codestring
required
Responses
Challenge response
Response Bodyapplication/json
metaResponseMeta
requestobject
walletobject
dataobject
statusstring
errorMessagestring
creditReportIdstring
creditReportunknown
attemptsRemaininginteger
Code Examples
curl -X POST 'https://api-next.checkio.co.uk/{tenantId}/v1/credit-reports/{creditReportId}/otp-challenge' \
-H 'Authorization: Bearer {token}' \
-H 'Content-Type: application/json' \
-d '{
"challengeId": "string",
"code": "string"
}'